export default {
    "panels": [
        {
            "index": 0,
            "width": 130,
            "height": 75,
            "printElements": [
                {
                    "options": {
                        "top": 50,
                        "left": 160,
                        "width": 88,
                        "height": 28,
                        "src": "https://i.ringzle.com/file/20250211/42d299ce8b87493287db9c4c3097f867.png",
                    },
                    "printElementType": {
                        "type": "image"
                    }
                }, 
                {
                    "options": {
                        "left": 279,
                        "top": 30,
                        "width": 10,
                        "title": "产品编码",
                        "lineHeight": 17,
                        "fontSize": 9,
                    },
                    "printElementType": {
                        "type": "text"
                    }
                },
                {
                    "options": {
                        "left": 283,
                        "top": 25,
                        "height": 88,
                        "width": 88,
                        "textType": "qrcode",
                        "field": "goodQrCode"
                    },
                    "printElementType": {
                        "type": "text",
                        "styler":function(value,options,target,templateData){ return {color:'transparent'} }
                    }
                },
                {
                    "options": {
                        "top": 110,
                        "left": 155,
                        "width": 210,
                        "height": 3,
                    },
                    "printElementType": {
                        "type": "hline"
                    }
                }, 
                {
                    "options": {
                        "left": 160,
                        "top": 116,
                        "title": "所属项目：",
                        "fontSize": 10,
                        "fontWeight": "bold"
                    },
                    "printElementType": {
                        "type": "text"
                    }
                },
                {
                    "options": {
                        "left": 210,
                        "top": 116,
                        "field": "projectName",
                        "fontSize": 10,
                    },
                    "printElementType": {
                        "type": "text"
                    }
                },
                {
                    "options": {
                        "left": 160,
                        "top": 134,
                        "title": "产品名称：",
                        "fontSize": 10,
                        "fontWeight": "bold"
                    },
                    "printElementType": {
                        "type": "text"
                    }
                },
                {
                    "options": {
                        "left": 210,
                        "top": 134,
                        "field": "itemName",
                        "fontSize": 10,
                    },
                    "printElementType": {
                        "type": "text"
                    }
                },
                {
                    "options": {
                        "left": 160,
                        "top": 152,
                        "title": "规格信息：",
                        "fontSize": 10,
                        "fontWeight": "bold"
                    },
                    "printElementType": {
                        "type": "text"
                    }
                },
                {
                    "options": {
                        "left": 210,
                        "top": 152,
                        "field": "skuName",
                        "fontSize": 10,
                    },
                    "printElementType": {
                        "type": "text"
                    }
                },
                {
                    "options": {
                        "left": 160,
                        "top": 170,
                        "title": "打印时间：",
                        "fontSize": 10,
                        "fontWeight": "bold"
                    },
                    "printElementType": {
                        "type": "text"
                    }
                },
                {
                    "options": {
                        "left": 210,
                        "top": 170,
                        "field": "printTime",
                        "fontSize": 10,
                    },
                    "printElementType": {
                        "type": "text"
                    }
                }
            ]
        }
    ]
}